### Virtual Method

# GdkPixbuf PixbufAnimationIter get_delay_time

deprecated: 2.44

#### Declaration [src]

    int
    get_delay_time (
      GdkPixbufAnimationIter* iter
    )

#### Description [src]

Gets the number of milliseconds the current pixbuf should be displayed, or -1 if the current pixbuf should be displayed forever.

The `g_timeout_add()` function conveniently takes a timeout in milliseconds, so you can use a timeout to schedule the next update.

Note that some formats, like GIF, might clamp the timeout values in the image file to avoid updates that are just too quick. The minimum timeout for GIF images is currently 20 milliseconds.

Deprecated since: 2.44

Use a different image loading library for animatable assets.

#### Return value

Type: `int`

Delay time in milliseconds (thousandths of a second).